View Source

# namespace webdriver.testing.assert

Creates a new assertion.

## webdriver.testing.assert(value)

Parameters

value`*`

  The value to perform an assertion on.

Returns

`webdriver.testing.Assertion`

  The new assertion.

## Functions

### register(name, matcherTemplate)code »

Registers a new assertion to expose from the `webdriver.testing.Assertion` prototype.

Parameters

name`string`

  The assertion name.

matcherTemplate`(function(new: goog.labs.testing.Matcher, *): ?|{describe: function(): string, matches: function(*): boolean})`

  Either the matcher constructor to use, or an object literal defining a matcher.